package com.rf.psychological.scale.service;

import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.scale.dao.model.DimensionOrgEntity;

import java.util.List;

public interface DimensionOrgService {
    DimensionOrgEntity save(DimensionOrgEntity dimensionOrgEntity);

    List<DimensionOrgEntity> find(JSONObject jsonObject);

    DimensionOrgEntity findByInstitutionNoAndDimensionId(String institutionNo, String id);

    void deleteByFlagAndInstitutionNo(String dimensionId, String institutionNo);

    List<DimensionOrgEntity> findByInstitutionNoAndFlags(String institutionNo, List<String> flags);
}
